Skip to main content
`Ctrl`+`K`

# PetscObjectSetTabLevel

Sets the number of tabs that `PETSCVIEWERASCII` output for that object uses

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscObjectSetTabLevel(PetscObject obj, PetscInt tab)

Not Collective

## Input Parameters

- obj - any PETSc object, for example a `Vec`, `Mat` or `KSP`. It must be cast with a (`PetscObject`), for example, `PetscObjectSetTabLevel`((`PetscObject`)mat,tab;

- tab - the number of tabs

## Notes

this is used to manage the output from options that are embedded in other objects. For example the `KSP` object inside a `SNES` object. By indenting each lower level further the hierarchy of objects is clear.

`PetscObjectIncrementTabLevel()` is the preferred API

## See Also

`PetscObjectIncrementTabLevel()`, `PetscObjectGetTabLevel()`

## Level

developer

## Location

src/sys/objects/gcomm.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages